summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_ktpass.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2011-04-15 12:41:22 +1000
committerAndrew Bartlett <abartlet@samba.org>2011-04-16 11:43:04 +0200
commit4fd6ebf544f90a6d18e6828eb3edc7b75f3b90a2 (patch)
tree5d3d75728d97688bb99f2200613ff46c66bfc6b5 /testprogs/blackbox/test_ktpass.sh
parentcfb44f63a4eadfd34c0cf7b003b677e43284376f (diff)
downloadsamba-4fd6ebf544f90a6d18e6828eb3edc7b75f3b90a2.tar.gz
samba-4fd6ebf544f90a6d18e6828eb3edc7b75f3b90a2.tar.bz2
samba-4fd6ebf544f90a6d18e6828eb3edc7b75f3b90a2.zip
selftest: Remove duplication between BUILDIR and BINDIR
Just have BINDIR, and have it default to ./bin Andrew Bartlett
Diffstat (limited to 'testprogs/blackbox/test_ktpass.sh')
-rwxr-xr-xtestprogs/blackbox/test_ktpass.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/testprogs/blackbox/test_ktpass.sh b/testprogs/blackbox/test_ktpass.sh
index c44439544b..33adba4271 100755
--- a/testprogs/blackbox/test_ktpass.sh
+++ b/testprogs/blackbox/test_ktpass.sh
@@ -13,8 +13,8 @@ shift 1
. `dirname $0`/subunit.sh
-samba_tool="$BUILDDIR/bin/samba-tool"
-samba4bindir="$BUILDDIR/bin"
+samba_tool="$BINDIR/samba-tool"
+samba4bindir="$BINDIR"
samba4srcdir="$SRCDIR/source4"
samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
@@ -27,7 +27,7 @@ KRB5CCNAME="$PREFIX/tmpccache"
export KRB5CCNAME
echo "testp@ssw0Rd" >$PREFIX/tmppassfile
testit "kinit with passwd" $samba4kinit -e arcfour-hmac-md5 --password-file=$PREFIX/tmppassfile $TESTUSER@SAMBA.EXAMPLE.COM || failed=`expr $failed + 1`
-testit "ktpass" $samba4srcdir/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ $TESTUSER --pass "testp@ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
+testit "ktpass" $samba4srcdir/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ $TESTUSER --pass "testp@ssw0Rd" --path-to-ldbsearch=$BINDIR/bin|| failed=`expr $failed + 1`
rm -f $KRB5CCNAME